var backhref	= "";			// 前ページのURL
var nexthref	= "";			// 次ページのURL

var slideshow	= false;		// スライドショーフラグ
var slideTime	= 9;			// スライドショーの時間(秒)
var nowpage		= minpage;		// 現在ページ

nowpage += gopage;				// 指定ページに移動

var view_L_el = document.getElementById('main_cg_L').outerHTML;
var view_R_el = document.getElementById('main_cg_R').outerHTML;

// タイトル表示
var page_title2	= ['［セリフあり］', '［効果のみ］', '［セリフなし］', ''];
var dispTitle = function(){
	document.getElementById('title').textContent = subTitle() + page_title[titleRoll] + slideTitle() + pageTitle() + slideTitle();// + fileName()
}
var pageTitle = function(){

	var disp_Page = disp_ad();
	var page_Num = [disp_Page, disp_Page+left_buf(-1)];
	
	var l_Page = '';
	var r_Page = '';
	
	var num = 0;
	if(document.getElementById('main_cg_L') != null) num++;
	if(document.getElementById('main_cg_R') != null) num++;
	
	if(num >= 1) l_Page = addZero((page_Num[0]), 3);
	if(num >= 2) r_Page = ',' + addZero((page_Num[1]), 3);

	return ' ' + '(' + l_Page + r_Page + '/' + addZero(images[nowtype].length - 1, 3) + ")";
}
var subTitle = function(){
	title = '';
	if( !nowomake ){
		title = ' ' + page_title2[nowtype];
	}
	return title
}
var fileName = function(){
	title ='';
	result = images[nowtype][nowpage].split('/');
	title = result[result.length - 1];
	return ' ' + title;
}
var slideTitle = function(){
	title = '';
	if( slideshow ){
		title = ' ' + '※';
	}
	return title;
}

// 前ページのページ数
var beforPage = function(){
	page = "";
	
	if( prevpage )
	{
		type = nowomake ? 0 : nowtype;
		page = '?page=' + (beforepage - (1 - be_minpage)) + '&' + 'type=' + type;
	}
	
	return page;
}

// 次へ前へのクリック処理
var linkChange = function(){
	// 前へ
	back_link = document.getElementById('back_link');
	if( nowpage <= (minpage + page_wide) ){
		if( !prevpage ){
			back_link.removeAttribute('href');
		}
		else{
			backhref = "../" + skipPage(-1) + "/" + viewer_name + beforPage();
		}
	}
	else{
		back_link.removeAttribute('href');
	}
	
	// 次へ
	next_link	= document.getElementById('next_link');
	if( (nowpage + page_wide) >= maxpage ){
		if( !nextpage ){
			next_link.removeAttribute('href');
		}
		else{
			nexthref = "../" + skipPage(+1) + "/" + viewer_name + (nextomake ? '' : '?' + 'type=' + nowtype);
		}
	}
	else{
		next_link.removeAttribute('href');
	}
	
	// リストへ
	list_link = document.getElementById('list_link');
	list_link.href = list_name + (nowomake ? '' : '?' + 'type=' + nowtype);
}


// 次へ、前へアイコン表示
var next_prev_Image = function(){
	var prev_id = document.getElementById('prev');
	var next_id = document.getElementById('next');

	var buf1 = page_wide - (titlepage ? 1 : 0);
	var buf2 = page_wide + (titlepage ? 1 : 0);

	if( page_left === 0 ){
		var prev_name = prev_Check() ? (prevpage ? 'left_N' : 'left_E') : 'left';
		var next_name = next_Check() ? (nextpage ? 'right_N' : 'right_E') : 'right';
	}
	else{
		var prev_name = prev_Check() ? (prevpage ? 'right_N' : 'right_E') : 'right';
		var next_name = next_Check() ? (nextpage ? 'left_N' : 'left_E') : 'left';
	}
	
	
	prev_id.className = prev_name;
	next_id.className = next_name;
}


// 画像表示
var dispImage = function(){
	var disp_Page = disp_ad();
	
	var cg01		= 'main_cg_L';
	var cg02		= 'main_cg_R';
	
	// ページ調整
	var position	= 'afterend';
	var view_el		= view_R_el;
	if( page_left == 0 ){
		// 右送り
		cg01 = 'main_cg_R';
		cg02 = 'main_cg_L';
		
		position	= 'beforebegin';
		view_el		= view_L_el;
	}
	else{
		// 左送り
		cg01 = 'main_cg_L';
		cg02 = 'main_cg_R';
		
		position	= 'afterend';
		view_el		= view_R_el;
	}

	

	// html表示内容変更
	if( !wide_Flag || page_wide === 0 || (titlepage && (nowpage <= minpage))){		
		// 単ページ表示
		if(document.getElementById(cg02) != null){
			document.getElementById(cg02).remove();
		}
		document.getElementById(cg01).style.backgroundPosition = 'center';
	}
	else{
		// 見開きページ表示
		if(document.getElementById(cg02) === null){
			document.getElementById(cg01).insertAdjacentHTML(position, view_el);
		}
		document.getElementById(cg01).style.backgroundPosition = 'right';
	}
	
	// 画像表示
	if(document.getElementById(cg01) != null) document.getElementById(cg01).style.backgroundImage = 'url(' + images[nowtype][disp_Page] + ')';
	if(document.getElementById(cg02) != null) document.getElementById(cg02).style.backgroundImage = 'url(' + images[nowtype][disp_Page+left_buf(-1)] + ')';
	
	linkChange();
	
	if( document.getElementById('id_l') != null ){
		var obj_L = document.getElementById('id_l');
		var obj_R = document.getElementById('id_r');
		
		obj_L.id = page_left === 0 ? 'prev' : 'next';
		obj_R.id = page_left === 0 ? 'next' : 'prev';
	}
	
	next_prev_Image();
	
	if(nowomake){
		document.getElementById('on').className		= 'brnk3';
		document.getElementById('eff').className 	= 'brnk3';
		document.getElementById('off').className 	= 'brnk3';
	}
	
	dispTitle();
}
// 表示ページ調整
var disp_ad = function(){
	var ad = 0;
	var even_Flag = false;
	
	// 調整
	if( !wide_Flag || page_wide === 0 || (titlepage && (nowpage === minpage))){
	}
	else{
		if( minpage === 1 ){
			even_Flag = true;
		}
		if( titlepage ){
			// タイトルページがある場合、反転する
			even_Flag = !even_Flag;
		}
		if( page_left === 0){
			// 右送り場合、反転する
			even_Flag = !even_Flag;
		}
		if( even_Flag ){
			ad = ((nowpage % 2) === 0 ? 0 : left_buf(+1));
		}
		else{
			ad = ((nowpage % 2) === 0 ? left_buf(+1) : 0);
		}
	}

	return nowpage + ad;
}
// 右送り補正
var left_buf = function(num){
	return (page_left === 1) ? (+1 * num) : (-1 * num)
}
// 画像クリック時のページ移動処理
var img_Click = function(pos){
	if( !wide_Flag || page_wide === 0 || (titlepage && (nowpage === minpage))){
		changeImage(+1);
	}
	else{
		if( pos == 'L' ){
			changeImage(page_left === 0 ? -1 : +1);
		}
		else{
			changeImage(page_left === 0 ? +1 : -1);
		}
	}
}

// 表示変更
var changeImage = function(num, ex_F = ''){
	num = num * (page_wide === 0 ? 1 : 2);

	if( ex_F === 'HOME' ){
		// 先頭ページへ
		homePage();
	}
	else if( ex_F === 'END' ){
		// 最終ページへ
		endPage();
	}
	else if( prev_Check() && num < 0 ){
		// キー入力で前章へ
		if( prevpage ){
			location.href = backhref;
		}
	}
	else if( next_Check() && num > 0 ){
		// キー入力で次章へ
		if( nextpage ){
			location.href = nexthref;
		}
	}
	else{
		// 次ページへ
		nowpage += num;

		if( nowpage < minpage ){
			// 先頭ページへ
			homePage();
		}
		else if( nowpage > images[nowtype].length ){
			// 最終ページへ
			endPage();
		}
		else{
			dispImage();
		}
	}
};
// 前へ戻るチェック
var prev_Check = function(){
	var buf = 0;
	if( page_wide > 0 ){
		buf = (page_left === 0 ? 1 : 0);
	}
	return minpage >= (disp_ad() - page_wide + buf);
}
// 次へ進むチェック
var next_Check = function(){
	var buf = 0;
	if( page_wide > 0 ){
		buf = (page_left === 0 ? 1 : 0);
	}
	return maxpage <= disp_ad() + buf;
}

// 先頭ページへ
var homePage = function(){
	nowpage = minpage;
	dispImage();
}

// 最終ページへ
var endPage = function(){
	var buf = 0;
	
	if( page_wide === 1 ){
		page_Length = (images[nowtype].length - minpage) - (titlepage ? 1 : 0);
		buf = ( page_Length % 2) === 0 ? 0 : 1;
	}
	
	nowpage = maxpage - page_wide + buf;
	
	dispImage();
}

// スライドショー
var counter 	= 0;
var slideShow = function(){
	counter++;
	
	if( counter > 1 && slideshow ){
		changeImage(+1);
	}
	
	var slide_timer = setTimeout(slideShow, slideTime*1000);
	if( (!slideshow) || nowpage === maxpage ){
		counter		= 0;
		slideshow	= false;
		clearTimeout(slide_timer);
	}
}

// 現在ページの表示
dispImage();
