var openWindow = function(url){
	var options = new Array();
	
	// 解像度の取得
	var s_width		= window.screen.width;
	var s_height	= window.screen.height;
	
	var w_width		= s_width * 0.8;
	var w_height	= s_height * 0.8;
	
	var w_left		= (s_width - w_width) / 2;
	var w_top		= (s_height - w_height) / 2 - 50;
	
	// ダイアログ
	options.push('left=' + w_left);		// x 座標
	options.push('top=' + w_top);		// y 座標
	options.push('width=' + w_width);	// 幅
	options.push('height=' + w_height);	// 高さ
	options.push('menubar=no');			// メニューバー
	options.push('toolbar=no');			// ツールバー
	options.push('location=no');		// ロケーション
	options.push('status=no');			// ステータスバー
	options.push('scrollbars=yes');		// スクロールバー
	options.push('resizable=yes');		// リサイズ
	options.push('titlebar=no');		// タイトル
	options.push('directories=no');		// ディレクトリ


	// ------------------------------------------------------------
	// ウィンドウを開く
	// ------------------------------------------------------------
	console.log(options.join(','))
	window.open(url,'viewer',options.join(','));
}


// 全部読む
document.getElementById('all').onclick = function(){
	openWindow('01/viewer.htm');
};
// １日目
document.getElementById('01_main').onclick = function(){
	openWindow('01/viewer.htm');
};
document.getElementById('01_on').onclick = function(){
	openWindow('01/list.htm');
};
document.getElementById('01_eff').onclick = function(){
	openWindow('01/list.htm?type=1');
};
document.getElementById('01_off').onclick = function(){
	openWindow('01/list.htm?type=2');
};
// ２日目
document.getElementById('02_main').onclick = function(){
	openWindow('02/viewer.htm');
};
document.getElementById('02_on').onclick = function(){
	openWindow('02/list.htm');
};
document.getElementById('02_eff').onclick = function(){
	openWindow('02/list.htm?type=1');
};
document.getElementById('02_off').onclick = function(){
	openWindow('02/list.htm?type=2');
};

// おまけ
document.getElementById('omake').onclick = function(){
	openWindow('omake/list.htm');
};
